﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CSSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);

			this.phoneticTextBox1.Phonetic += new Man.Windows.Forms.PhoneticTextBoxPhoneticEventHandler(phoneticTextBox1_Phonetic);
			this.phoneticTextBox1.TextClear += new EventHandler(phoneticTextBox1_TextClear);
			this.radioButton1.CheckedChanged += new EventHandler(radioButton_CheckedChanged);
			this.radioButton2.CheckedChanged += new EventHandler(radioButton_CheckedChanged);
			this.radioButton3.CheckedChanged += new EventHandler(radioButton_CheckedChanged);

			this.radioButton1.Checked = true;
		}

		// ふりがなテキストボックスコントロールのふりがなを取得するイベント
		private void phoneticTextBox1_Phonetic(object sender, Man.Windows.Forms.PhoneticTextBoxPhoneticEventArgs e)
		{
			// 入力確定されたふりがなを取得
			string phonetic = e.Phonetic;
			// ふりがなを設定するテキストボックスにふりがなを追加
			this.textBox1.Text = this.textBox1.Text + phonetic;
			// 取得したふりがな
			this.label4.Text = phonetic;
		}

		// ふりがなテキストボックスコントロールのテキストがすべてクリアされた時のイベント
		private void phoneticTextBox1_TextClear(object sender, EventArgs e)
		{
			// ふりがなテキストボックスのテキストがクリアされた場合はフリガナを設定するテキストボックスも合わせてクリア
			this.textBox1.Text = "";
		}

		// ふりがなのスタイルを設定する
		private void radioButton_CheckedChanged(object sender, EventArgs e)
		{
			if (this.radioButton1.Checked)
			{
				// ひらがな
				this.phoneticTextBox1.PhoneticStyle = Man.Windows.Forms.PhoneticTextBoxPhoneticStyle.Hiragana;
			}
			if (this.radioButton2.Checked)
			{
				// カタカナ
				this.phoneticTextBox1.PhoneticStyle = Man.Windows.Forms.PhoneticTextBoxPhoneticStyle.Katakana;
			}
			if (this.radioButton3.Checked)
			{
				// 半角カタカナ
				this.phoneticTextBox1.PhoneticStyle = Man.Windows.Forms.PhoneticTextBoxPhoneticStyle.KatakanaHalf;
			}
		}
	}
}
